{: test that succ type error causes a compilation error }

program e1030( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1030 }

   e := black;
   n := 2;
   e := succ( n, 3); { !!! type error - colour := integer }
   writeln( 'succ error not detected' );
end. { e1030 }

